Range-v3 Range algorithms, views, and actions for the Standard Library |

Friends | List of all members
ranges::views::view_closure_base Struct Reference
Inheritance diagram for ranges::views::view_closure_base:

## Friends
template<typename Rng , typename ViewFn >
constexpr friend auto | operator| (Rng &&rng, view_closure< ViewFn > vw)
template<typename ViewFn , typename Pipeable >
constexpr friend auto | operator| (view_closure< ViewFn > vw, Pipeable pipe) -> view_closure< composed< Pipeable, ViewFn >>

## Methods

## ◆ operator|

template<typename Rng , typename ViewFn >

constexpr friend auto operator| | ( | Rng && | rng,
|  | view_closure< ViewFn > | vw
| ) |  |
| friend

Precondition
  requires `viewable_range<Rng> && invocable_view_closure<ViewFn, Rng>`